Bug 260050 - security/p5-openxpki*: Update to 3.16.0
Summary: security/p5-openxpki*: Update to 3.16.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL: https://github.com/openxpki/openxpki
Keywords:
Depends on: 259804
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-25 23:33 UTC by Sergei Vyshenski
Modified: 2021-11-29 08:36 UTC (History)
2 users (show)

See Also:


Attachments
"git diff" to update two ports (11.22 KB, patch)
2021-11-25 23:33 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to update two ports (11.89 KB, patch)
2021-11-28 17:46 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-11-25 23:33:48 UTC
Created attachment 229732 [details]
"git diff" to update two ports

- Update 3.14.4_1 -> 3.16.0 (major stable resease)
Changes: https://github.com/openxpki/openxpki/compare/v3.14.4...v3.16.0
- this PR essentially depends on PR#259804,
	which introduses ver. 1.43 of devel/p5-Connector

- "portlint -AC" says: Looks fine.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
13.0-RELEASE-p5
pkg 1.17.5
poudriere 3.3.7_1
perl 5.32.1_1
openssl 1.1.1k
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 1 Dries Michiels freebsd_committer 2021-11-26 08:34:28 UTC
Thanks for the patch, LGTM.
Comment 2 Sergei Vyshenski 2021-11-26 11:54:33 UTC
Please do not forget about dependency of this PR from PR#259804
Comment 3 Sergei Vyshenski 2021-11-28 17:46:36 UTC
Created attachment 229766 [details]
"git diff" to update two ports

New patch 
- updgades _conf_VERSION 3.12 --> 3.16
- remove CONFLICTS as it list ports,
	removed from the tree 13 years ago, 
	which could be regarded as "never existed".
Comment 4 commit-hook freebsd_committer 2021-11-29 07:50:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c3338eb5770412165be0981a06d5252e9fa11aae

commit c3338eb5770412165be0981a06d5252e9fa11aae
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-11-28 17:46:32 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-11-29 07:49:08 +0000

    security/p5-openxpki: Update to 3.16.0

    While here remove stale CONFLICTS line.

    Changes:                https://github.com/openxpki/openxpki/releases/tag/v3.16.0
    PR:                     260050
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33149

 security/p5-openxpki/Makefile  | 10 +++-------
 security/p5-openxpki/distinfo  | 10 +++++-----
 security/p5-openxpki/pkg-plist | 21 +++++++++++++++++++++
 3 files changed, 29 insertions(+), 12 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-11-29 07:54:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=263f5477294fe8c9589b216d2587d1c2e7246159

commit 263f5477294fe8c9589b216d2587d1c2e7246159
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-11-28 17:51:34 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-11-29 07:52:17 +0000

    security/p5-openxpki-i18n: Update to 3.16.0

    Changes:                https://github.com/openxpki/openxpki/releases/tag/v3.16.0
    PR:                     260050
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33150

 security/p5-openxpki-i18n/Makefile | 2 +-
 security/p5-openxpki-i18n/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 Dries Michiels freebsd_committer 2021-11-29 08:18:19 UTC
Committed, thanks for the patch. Waiting on closure of the blocking PR before closing this one.